Subject: ARM perf events spin locks

From: [email-masked] (Will Deacon)
Date: Tue, 30 Nov 2010 14:46:30 -0000

> > I don't mind doing it as a separate patch after Russell has pulled my
> > perf-split branch.
> 
> You mean this?
> 
> commit f1690d17d2c7afa2a2079e3c91eb2bca8c1c5ecd
> Merge: 612275a 43eab87
> Author: Russell King <[email-masked]>
> Date:   Fri Nov 26 10:26:43 2010 +0000
> 
>     Merge branch 'perf-split' of git://linux-arm.org/linux-2.6-wd into devel-stable

Aha, brilliant - thanks.

> Sorry, I didn't push the tree out for a week or so because I was busy with
> other things (like the pgtable stuff.)

There's no rest for the weary! I'll submit the patch to fix perf for sparse
to the patch system (I didn't realise you'd pulled my changes on Friday) and
tackle this spinlock thing at the same time.

Cheers,

Will